Subject: bug#55041: 28.1; repeat-mode always prints message when enabled

From: Juri Linkov <[email-masked]>
Date: Tue, 21 Jun 2022 20:49:54 +0300

> Using that config, I get the following *Messages* buffer after
> starting Emacs:
>
>   For information about GNU Emacs and the GNU system, type C-h C-a.
>   Cleaning up the recentf list...done (0 removed)
>   Repeat mode is enabled for 14 commands and 7 keymaps; see
> ‘describe-repeat-maps’.
>
> Personally, I think we should remove both the recentf-mode and
> repeat-mode messages here.  I don't find either of them very helpful
> or interesting.

It's very surprising to worry about keeping the *Messages* buffer clean.